Skip to main content

Get list of webhooks

GET 

/v2/actor-tasks/:actorTaskId/webhooks

Gets the list of webhooks of a specific Actor task. The response is a JSON with the list of objects, where each object contains basic information about a single webhook.

The endpoint supports pagination using the limit and offset parameters and it will not return more than 1000 records.

By default, the records are sorted by the createdAt field in ascending order, to sort the records in descending order, use the desc=1 parameter.

Request

Path Parameters

    actorTaskId string required

    Task ID or a tilde-separated owner's username and task's name.


    Example: janedoe~my-task

Query Parameters

    offset double

    Number of items that should be skipped at the start. The default value is 0.


    Example: 0
    limit double

    Maximum number of items to return. The default value as well as the maximum is 1000.


    Example: 1000
    desc boolean

    If true or 1 then the objects are sorted by the createdAt field in descending order. By default, they are sorted in ascending order.


    Example: true

Status 200

Response Headers
  • X-Apify-Pagination-Offset

    The offset of the first item in the current page.

  • X-Apify-Pagination-Limit

    The maximum number of items returned per page.

  • X-Apify-Pagination-Count

    The number of items returned in the current page.

  • X-Apify-Pagination-Total

    The total number of items available.

  • X-Apify-Pagination-Desc

    Whether the items are sorted in descending order.

{
"data": {
"total": 2,
"offset": 0,
"limit": 1000,
"desc": false,
"count": 2,
"items": [
{
"id": "YiKoxjkaS9gjGTqhF",
"createdAt": "2019-12-12T07:34:14.202Z",
"modifiedAt": "2019-12-13T08:36:13.202Z",
"userId": "wRsJZtadYvn4mBZmm",
"isAdHoc": false,
"shouldInterpolateStrings": false,
"eventTypes": [
"ACTOR.RUN.SUCCEEDED"
],
"condition": {
"actorId": "hksJZtadYvn4mBuin",
"actorTaskId": "asdLZtadYvn4mBZmm",
"actorRunId": "hgdKZtadYvn4mBpoi"
},
"ignoreSslErrors": false,
"doNotRetry": false,
"requestUrl": "http://example.com/",
"payloadTemplate": "{\\n \\\"userId\\\": {{userId}}...",
"headersTemplate": "{\\n \\\"Authorization\\\": Bearer...",
"description": "this is webhook description",
"lastDispatch": {
"status": "SUCCEEDED",
"finishedAt": "2019-12-13T08:36:13.202Z"
},
"stats": {
"totalDispatches": 1
}
},
{
"id": "YiKoxjkaS9gjGTqhF",
"createdAt": "2019-12-12T07:34:14.202Z",
"modifiedAt": "2019-12-13T08:36:13.202Z",
"userId": "wRsJZtadYvn4mBZmm",
"isAdHoc": false,
"shouldInterpolateStrings": false,
"eventTypes": [
"ACTOR.RUN.SUCCEEDED"
],
"condition": {
"actorId": "hksJZtadYvn4mBuin",
"actorTaskId": "asdLZtadYvn4mBZmm",
"actorRunId": "hgdKZtadYvn4mBpoi"
},
"ignoreSslErrors": false,
"doNotRetry": false,
"requestUrl": "http://example.com/",
"payloadTemplate": "{\\n \\\"userId\\\": {{userId}}...",
"headersTemplate": "{\\n \\\"Authorization\\\": Bearer...",
"description": "this is webhook description",
"lastDispatch": {
"status": "SUCCEEDED",
"finishedAt": "2019-12-13T08:36:13.202Z"
},
"stats": {
"totalDispatches": 1
}
}
]
}
}